get
https://api.duodeal.app/api/medias
Retrieves a paginated list of all media files (images, documents, etc.).
Query Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
page | integer | No | Page number for pagination (default: 1) |
limit | integer | No | Number of items per page (default: 50) |
order | string | No | Field to sort by (default: id) |
direction | string | No | Sort direction: asc or desc (default: desc) |
Response Fields
| Field | Type | Description |
|---|---|---|
id | integer | Media unique identifier |
name | string | Original file name |
url | string | Public URL to access the file |
mime | string | MIME type (e.g., image/png, application/pdf) |
folder | string | Folder/category for organization |
path | string | Storage path |
thumbnail | string | Thumbnail URL (for images) |
thumbPath | string | Thumbnail storage path |
createdAt | datetime | Creation timestamp |
updatedAt | datetime | Last update timestamp |
Filtering
This endpoint supports advanced filtering. See the Filter System Documentation for the complete list of operators and usage examples.
Quick examples:
?filters[name][contains]=logo
?filters[mime][startsWith]=image/
?filters[folder][eq]=products
Response
200 OK: Returns paginated list of medias401 Unauthorized: Invalid or missing API key
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
200Successful response
401Unauthorized
